UiPath Documentation
test-cloud
latest
false
Guia da API do Test Cloud
Importante :
A localização de um conteúdo recém-publicado pode levar de 1 a 2 semanas para ficar disponível.

Get Tenant Consumption by Process

Consumption breakdown by process for a specific tenant, with pagination, sorting, filtering, and optional per-service breakdown.

Use this endpoint to retrieve a consumption breakdown by process for a specific tenant.

Observação:

Unlike Get Tenant Consumption Summary, this endpoint does not require organization administrator permissions. A user with tenant-scoped license viewing permission for the tenant can call it.

Ponto de Extremidade da API

POST {accessURL}/lease_/api/usage/{organizationId}/tenants/consumption-by-process

Substitua {accessURL} em todos os caminhos do ponto de extremidade pelo URL base para sua plataforma de nuvem:

Cloud PlatformURL de acesso
Test Cloudhttps://cloud.uipath.com/
Test Cloud para o Setor Públicohttps://govcloud.uipath.us/
Test Cloud Dedicadohttps://{customURL}.dedicated.uipath.com/
Observação:

O nome da sua organização aparece no URL logo após o URL de acesso quando você está conectado ao produto, por exemplo {accessURL}/{organizationName}/....

Cabeçalhos de solicitação.

--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
Observação:

To obtain the {access_token}, make sure to authenticate through the Resource Owner Password Credentials (ROPC) method described in Authentication methods.

Parâmetros do caminho

Parâmetro do caminhoTipo de dadosDescription
organizationId (obrigatório)String (GUID)A ID da organização na qual seu locatário reside.

Corpo da Solicitação

The request body specifies the tenant, date range, and optional filters, pagination, and sorting options.

{
  "tenantId": "string",
  "startDate": 0,
  "endDate": 0,
  "aggregateByOwnership": false,
  "processNameFilter": "string",
  "processType": "string",
  "folderKeys": ["string"],
  "skip": 0,
  "take": 50,
  "sortBy": "string",
  "sortDescending": true,
  "includeServiceBreakdown": false
}
{
  "tenantId": "string",
  "startDate": 0,
  "endDate": 0,
  "aggregateByOwnership": false,
  "processNameFilter": "string",
  "processType": "string",
  "folderKeys": ["string"],
  "skip": 0,
  "take": 50,
  "sortBy": "string",
  "sortDescending": true,
  "includeServiceBreakdown": false
}
Observação:
  • tenantId is required. The ID of the tenant for which to retrieve consumption.
  • startDate and endDate are Unix timestamps in seconds. Both bounds are inclusive. Values provided in milliseconds are rejected with a 400 Bad Request error indicating that seconds are expected.
  • é opcional (padrão false aggregateByOwnership . Quando definido como true, o consumo é agregado pela pasta que possui o processo em vez de onde ele foi executado.
  • processNameFilter is optional. Filters results by process name.
  • processType is optional. Filters results by process type.
  • folderKeys is optional. Provide a list of folder GUIDs to limit results to specific folders.
  • skip is optional (default: 0). Pagination offset.
  • take is optional (default: 50). Page size.
  • sortBy is optional (default: runs). Either runs or a unit type code (AIU, AGU, PLTU, RU, SPR, TEU, HEAL, APICALLS).
  • sortDescending is optional (default: true). Sort direction.
  • includeServiceBreakdown is optional (default: false). When set to true, each process includes a per-service breakdown.

Resposta

200 OK

Returns the consumption breakdown by process for the specified tenant.

Observação:
  • totalCount is the number of processes matching the filters, before pagination.
  • consumedUnits lists the unit type codes present in the results.
  • Each item in items includes processKey, processName, processType, folderKey, runs, and consumption (an array of { "unit": string, "quantity": number } objects).
  • consumptionByService is included on each item only when includeServiceBreakdown is true, as an array of { "service": string, "unitBreakdown": [{ "unit": string, "quantity": number }] } objects.
  • subProcesses is optional and, when present, uses the same shape as items.

Exemplo de solicitação

A chamada deve ser semelhante ao seguinte exemplo (cURL):

curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-by-process' \
--header 'Authorization: Bearer <your-access-token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "tenantId": "4b8f2f6e-1c33-4c8a-9f4e-2c1a7d3b5e90",
  "startDate": 1754006400,
  "endDate": 1756684799,
  "sortBy": "runs",
  "includeServiceBreakdown": true
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-by-process' \
--header 'Authorization: Bearer <your-access-token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "tenantId": "4b8f2f6e-1c33-4c8a-9f4e-2c1a7d3b5e90",
  "startDate": 1754006400,
  "endDate": 1756684799,
  "sortBy": "runs",
  "includeServiceBreakdown": true
}'

Here's the response body for a successful consumption by process retrieval:

{
  "totalCount": 1,
  "consumedUnits": ["RU", "AIU"],
  "items": [
    {
      "processKey": "9d3c1a2b-7e45-4f10-b2aa-0c6d8e914f77",
      "processName": "InvoiceProcessing",
      "processType": "Process",
      "folderKey": "2f6e4b8f-1c33-4c8a-9f4e-2c1a7d3b5e90",
      "runs": 128,
      "consumption": [
        { "unit": "RU", "quantity": 12.5 },
        { "unit": "AIU", "quantity": 340 }
      ],
      "consumptionByService": [
        { "service": "Orchestrator", "unitBreakdown": [{ "unit": "RU", "quantity": 12.5 }] },
        { "service": "Document Understanding", "unitBreakdown": [{ "unit": "AIU", "quantity": 340 }] }
      ]
    }
  ]
}
{
  "totalCount": 1,
  "consumedUnits": ["RU", "AIU"],
  "items": [
    {
      "processKey": "9d3c1a2b-7e45-4f10-b2aa-0c6d8e914f77",
      "processName": "InvoiceProcessing",
      "processType": "Process",
      "folderKey": "2f6e4b8f-1c33-4c8a-9f4e-2c1a7d3b5e90",
      "runs": 128,
      "consumption": [
        { "unit": "RU", "quantity": 12.5 },
        { "unit": "AIU", "quantity": 340 }
      ],
      "consumptionByService": [
        { "service": "Orchestrator", "unitBreakdown": [{ "unit": "RU", "quantity": 12.5 }] },
        { "service": "Document Understanding", "unitBreakdown": [{ "unit": "AIU", "quantity": 340 }] }
      ]
    }
  ]
}
  • Ponto de Extremidade da API
  • Cabeçalhos de solicitação.
  • Parâmetros do caminho
  • Corpo da Solicitação
  • Resposta
  • 200 OK
  • Exemplo de solicitação

Esta página foi útil?

Conectar

Precisa de ajuda? Suporte

Quer aprender? Academia UiPath

Tem perguntas? Fórum do UiPath

Fique por dentro das novidades